<template>
  <div>
    <div class="contenedorPrincipal">
      <div class="flexSB">
        <h1 class="tituloPagina">Metodología 7s</h1>
        <div class="divBuscar">
          <v-text-field
            v-model="buscar"
            single-line
            solo
            placeholder="Buscar por Ceco o nombre"
          ></v-text-field>
        </div>
      </div>
      <div class="tituloSeccion">
        Consulta su nivel de cumplimiento por periodo de tiempo y nivel
        geográfico
      </div>
      <v-row class="gris">
        <v-col cols="12" md="2">
          <div class="divSelect" style="white-space: nowrap;">
            <div>Periodo de consulta:</div>
            <v-select
              :items="items"
              label="Elige una opción"
              single-line
              solo
            ></v-select>
          </div>
        </v-col>
        <v-col cols="12" md="2">
          <div class="divSelect">
            <div>Año de consulta:</div>
            <v-select
              :items="consultas"
              label="Elige una opción"
              single-line
              solo
            ></v-select>
          </div>
        </v-col>
        <v-col cols="12" md="2">
          <div class="divSelect">
            <div>Negocio:</div>
            <v-select
              :items="negocios"
              label="Elige una opción"
              single-line
              solo
            ></v-select>
          </div>
        </v-col>
        <v-col cols="12" md="2">
          <div class="col6 divSelect">
            <div>Geografia:</div>
            <v-select
              :items="geografias"
              v-model="geografia"
              label="Elige una opción"
              single-line
              solo
              item-text="title"
            ></v-select>
          </div>
        </v-col>
        <v-col cols="12" md="2">
          <div class="col6 divSelect">
            <div>Región:</div>
            <v-select
              :items="regiones"
              v-model="region"
              label="Elige una opción"
              single-line
              solo
              item-text="title"
            ></v-select>
          </div>
        </v-col>
        <v-col cols="12" md="2">
          <br />
          <v-btn class="botonPrimario">Generar consulta</v-btn>
        </v-col>
      </v-row>

      <br />

      <v-row>
        <v-col cols="12" md="4">
          <div class="headerConetenedoresJuan">
            Calificación final de
            <span class="boldMedium">{{ regionSeleccionada.nombre }}</span>
          </div>
          <div class="contenedorGraficaCirculoJuan">
            <div class="graficaCirculoJuan">
              <div class="hello" id="chartdiv" ref></div>
              <div class="number bold">78</div>
              <div class="text">
                Valo σ:
                <span class="tBold">-.86</span>
              </div>
            </div>
          </div>
        </v-col>
        <v-col cols="12" md="8">
          <div class="headerConetenedoresJuan">
            Cumplimiento de la disciplina por los negocios que componen
            <span class="boldMedium">{{ regionSeleccionada.nombre }}</span>
          </div>
          <div class="contenedorBarras">
            <div class="medidorNegocio">
              <img src="~@/assets/img/logoBancoAzteca.svg" class="imgNegocio" />
              <div class="barra7s boldMedium">
                <div
                  :class="{
                    negro: regionSeleccionada.baz <= 50,
                    rosa:
                      regionSeleccionada.baz >= 51 &&
                      regionSeleccionada.baz <= 69,
                    amarillo:
                      regionSeleccionada.baz >= 70 &&
                      regionSeleccionada.baz <= 89,
                    verde:
                      regionSeleccionada.baz >= 90 &&
                      regionSeleccionada.baz <= 100
                  }"
                  v-bind:style="{ width: regionSeleccionada.baz + '%' }"
                >
                  {{ regionSeleccionada.baz }}%
                </div>
              </div>
            </div>
            <div class="medidorNegocio">
              <img src="~@/assets/img/logoElektra.svg" class="imgNegocio" />
              <div class="barra7s boldMedium">
                <div
                  :class="{
                    negro: regionSeleccionada.ekt <= 50,
                    rosa:
                      regionSeleccionada.ekt >= 51 &&
                      regionSeleccionada.ekt <= 69,
                    amarillo:
                      regionSeleccionada.ekt >= 70 &&
                      regionSeleccionada.ekt <= 89,
                    verde:
                      regionSeleccionada.ekt >= 90 &&
                      regionSeleccionada.ekt <= 100
                  }"
                  v-bind:style="{ width: regionSeleccionada.ekt + '%' }"
                >
                  {{ regionSeleccionada.ekt }}%
                </div>
              </div>
            </div>
            <div class="medidorNegocio">
              <img
                src="~@/assets/img/logoPrestaPrenda.svg"
                class="imgNegocio"
                style="width: 45px;margin: 0px 20px 0px 16px;"
              />
              <div class="barra7s boldMedium">
                <div
                  :class="{
                    negro: regionSeleccionada.presta <= 50,
                    rosa:
                      regionSeleccionada.presta >= 51 &&
                      regionSeleccionada.presta <= 69,
                    amarillo:
                      regionSeleccionada.presta >= 70 &&
                      regionSeleccionada.presta <= 89,
                    verde:
                      regionSeleccionada.presta >= 90 &&
                      regionSeleccionada.presta <= 100
                  }"
                  v-bind:style="{ width: regionSeleccionada.presta + '%' }"
                >
                  {{ regionSeleccionada.presta }}%
                </div>
              </div>
            </div>
          </div>
        </v-col>
      </v-row>
      <br />
      <div class="divTopIncumplimientos">
        <v-tabs
          vertical
          grow
          hide-slider="false"
          class="tabEstiloPrimario tabSlider"
        >
          <v-tab class="tabGrupoElektra"></v-tab>
          <v-tab class="tabBAZ"></v-tab>
          <v-tab class="tabEKT"></v-tab>
          <v-tab class="tabPrestaPrenda"></v-tab>

          <v-tab-item>
            <v-row class="contTabs">
              <v-col cols="12" md="6">
                <h3>Top de incumplimiento nivel proceso</h3>
                <div class="divIncumplimientos">
                  <div class="numero">1</div>
                  <div class="texto">
                    ¿El iPad del asesor de piso financiero funciona
                    correctamente?
                    <br />
                    <div class="bold">
                      En 610 puntos de contacto no se cumple
                    </div>
                  </div>
                </div>
                <div class="divIncumplimientos">
                  <div class="numero">2</div>
                  <div class="texto">
                    ¿El iPad del asesor de piso financiero funciona
                    correctamente?
                    <br />
                    <div class="bold">
                      En 610 puntos de contacto no se cumple
                    </div>
                  </div>
                </div>
                <div class="divIncumplimientos">
                  <div class="numero">3</div>
                  <div class="texto">
                    ¿El iPad del asesor de piso financiero funciona
                    correctamente?
                    <br />
                    <div class="bold">
                      En 610 puntos de contacto no se cumple
                    </div>
                  </div>
                </div>
                <div class="divIncumplimientos">
                  <div class="numero">4</div>
                  <div class="texto">
                    ¿El iPad del asesor de piso financiero funciona
                    correctamente?
                    <br />
                    <div class="bold">
                      En 610 puntos de contacto no se cumple
                    </div>
                  </div>
                </div>
                <div class="divIncumplimientos">
                  <div class="numero">5</div>
                  <div class="texto">
                    ¿El iPad del asesor de piso financiero funciona
                    correctamente?
                    <br />
                    <div class="bold">
                      En 610 puntos de contacto no se cumple
                    </div>
                  </div>
                </div>
              </v-col>
              <v-col cols="12" md="6" class="linePadding">
                <h3>Listado de imperdonables</h3>
                <div class="divIncumplimientos">
                  <div class="numero">A</div>
                  <div class="texto">
                    "En punto de venta falta herramientas necesarias para la
                    operación"
                  </div>
                </div>
                <div class="divIncumplimientos">
                  <div class="numero">B</div>
                  <div class="texto">
                    "En punto de venta falta herramientas necesarias para la
                    operación"
                  </div>
                </div>
                <div class="divIncumplimientos">
                  <div class="numero">C</div>
                  <div class="texto">
                    "En punto de venta falta herramientas necesarias para la
                    operación"
                  </div>
                </div>
              </v-col>
            </v-row>
          </v-tab-item>
          <v-tab-item>
            <div class="gris2">
              <p>Contenido 2</p>
            </div>
          </v-tab-item>
          <v-tab-item>
            <div class="gris2">
              <p>Contenido 3</p>
            </div>
          </v-tab-item>
          <v-tab-item>
            <div class="gris2">
              <p>Contenido 4</p>
            </div>
          </v-tab-item>
        </v-tabs>
        <div class="btnCenter">
          <v-btn class="btn botonPrimario btnGrande"
            >Descargar Excel de la información a nivel nacional</v-btn
          >
        </div>
      </div>
    </div>
    <br />
    <Footer />
  </div>
</template>

<script>
/* Imports */
import Footer from "./Footer";
import * as am4core from "@amcharts/amcharts4/core";
import * as am4charts from "@amcharts/amcharts4/charts";
import am4themes_animated from "@amcharts/amcharts4/themes/animated";

am4core.useTheme(am4themes_animated);

export default {
  components: {
    Footer
  },
  name: "Metodologia",
  data() {
    return {
      regionSeleccionada: {
        nombre: "48907 - La Luna",
        baz: 90,
        ekt: 72,
        presta: 72
      },
      buscar: "",
      item: "",
      items: ["1º Trimestre", "2º Trimestre", "3º Trimestre", "4º Trimestre"],
      consultas: ["2020", "2019", "2018"],
      negocios: [
        "Todos los negocios",
        "BAZ",
        "ELEKTRA",
        "Presta Prenda",
        "GCC"
      ],
      geografia: "",
      geografias: [
        { id: "1", title: "Nacional" },
        { id: "2", title: "Territorio" },
        { id: "3", title: "Zona" },
        { id: "4", title: "Región" },
        { id: "5", title: "Punto de contacto" }
      ],
      region: "",
      regiones: [
        { id: "1", title: "48907 - Región X" },
        { id: "2", title: "Opción 2" },
        { id: "3", title: "Opción 3" }
      ],
      swiperOption: {
        slidesPerView: 3,
        spaceBetween: 30,
        direction: "horizontal",
        navigation: {
          nextEl: ".swiper-button-next",
          prevEl: ".swiper-button-prev"
        },
        on: {
          resize: () => {
            this.$refs.swiper.$swiper.changeDirection(
              window.innerWidth <= 960 ? "vertical" : "horizontal"
            );
          }
        }
      }
    };
  },
  methods: {
    drawCharts() {
      let chart = am4core.create(this.$refs.chartdiv, am4charts.PieChart);

      chart.data = [
        {
          country: "Lithuania",
          litres: 100,
          color: am4core.color("#fff")
        },
        {
          country: "Juan",
          litres: 500,
          color: am4core.color("#f5c65c")
        }
      ];

      chart.innerRadius = am4core.percent(100);

      let pieSeries = chart.series.push(new am4charts.PieSeries());
      pieSeries.dataFields.value = "litres";
      pieSeries.slices.template.propertyFields.fill = "color";
      pieSeries.slices.template.tooltipText = "";
      pieSeries.labels.template.text = "";
      pieSeries.slices.template.strokeWidth = 2;
      pieSeries.slices.template.strokeOpacity = 1;

      pieSeries.hiddenState.properties.opacity = 1;
      pieSeries.hiddenState.properties.endAngle = -90;
      pieSeries.hiddenState.properties.startAngle = -90;
    }
  },
  mounted() {
    //this.drawCharts();
  }
};
</script>

<style lang="scss" scoped>
$container-width: 960px;
$font-size-huge: 12px;
$white: #fcfcfc;

.swiper {
  height: 300px;
  width: 100%;

  .swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-weight: bold;
    font-size: $font-size-huge * 2;
    background-color: $white;
    flex-wrap: wrap;
  }
}

.swiper-button-prev,
.swiper-button-next {
  border-radius: 50px;
  min-width: 65px;
  background-color: #d8d8d891;
  min-height: 65px;
  color: white;
  top: 41% !important;
}

.swiper-button-next {
  padding-left: 5px;
}

.swiper-button-prev {
  padding-right: 5px;
}

.divSlider {
  width: 95%;
  margin: 30px auto;
}

.imgSlider {
  height: 260px;
}

.pieFoto {
  font-size: 14px;
  text-align: left;
  width: 100%;
  padding-left: 25px;
}

.bold {
  font-family: "Avenir_Next_Demi_Bold";
}
.boldMedium {
  font-family: "AvenirNextLTPro-Medium";
}

/*Select*/
.divSelect {
  position: relative;
}

.col-md-2 {
  padding: 0px 12px !important;
}

.contTabs {
  padding: 20px 0 20px 15px;
  box-sizing: border-box;
}

.linePadding {
  padding-left: 35px;
  box-sizing: border-box;
}

.headerConetenedoresJuan {
  display: flex;
  -webkit-box-pack: center;
  -webkit-box-align: center;
  align-items: center;
  background-color: #1e2945;
  color: white;
  padding: 5px 0px;
  padding-left: 13px;
}

.headerConetenedoresJuan > span {
  margin-left: 3px;
  padding-top: 3px;
}

.contenedorGraficaCirculoJuan {
  display: flex;
  justify-content: center;
  border: solid 1px #cccccc;
}

.graficaCirculoJuan {
  min-height: 215px;
  position: relative;
  width: 30%;
  display: flex;
  padding: 25px 25px 10px 25px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  flex-direction: column;
}

.graficaCirculoJuan > .number {
  position: absolute;
  right: 0%;
  left: 0%;
  top: 39%;
  margin: 0 auto;
  font-size: 40px;
  text-align: center;
}

.graficaCirculoJuan > .text {
  text-align: center;
  padding-top: 10px;
}

.contenedorBarras {
  min-height: 195px;
  padding: 15px;
  border-bottom: unset;
  border: solid 1px #cccccc;
}
.contenedorBarras > .barra7s {
  min-height: 195px;
  padding: 15px;
  border-bottom: unset;
}

.barra7s {
  width: 100%;
  display: flex;
  color: white;
}

.barra7s > .verde {
  background-color: #a2cc83;
}
.barra7s > .amarillo {
  background-color: #f5c65c;
}
.barra7s > .rojo {
  background-color: #ea5274;
}
.barra7s > .negro {
  background-color: #242424;
}

.barra7s > div {
  height: 23px;
  display: flex;
  align-items: center;
  padding-left: 6px;
}
.contenedorBarras > .medidorNegocio {
  display: flex;
  margin: 20px 0px;
  min-height: 33px;
}
.contenedorBarras > .medidorNegocio > .imgNegocio {
  width: 60px;
  margin: 0px 15px 0px 6px;
}

.contenedorBarras > .medidorNegocio > .barra7s {
  display: flex;
  width: 100%;
  align-items: center;
}

.contenedorPrincipal {
  margin: 40px 30px;
}

.flexSB {
  display: flex;

  justify-content: space-between;
}

/* FORMULARIO */
.tituloSeccion {
  font-size: 16px;
  border-bottom: 2px solid #ffcd13;
}
.tituloPagina {
  font-family: "Avenir_Next_Bold";
  font-size: 22px;
}

.divCol2Input {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}
.divCol2Input > div {
  width: 50%;
  min-width: 160px;
}
::-webkit-input-placeholder {
  /* Edge */
  color: #2d2926 !important;
  font-size: 11px !important;
}

:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #2d2926 !important;
  font-size: 11px !important;
}

::placeholder {
  color: #2d2926 !important;
  font-size: 11px !important;
}

/*INPUT BUSCAR*/
.divBuscar {
  width: 25%;
  height: 37px;
}

/* BOTONES */

.btnCenter {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: 20px 0;
}
.btnCenter button {
  margin: 0px 1% 10px 0px;
}
.botonTerciario {
  background-color: #fafafa !important;
  text-transform: capitalize !important;
}
.botonSecundario {
  background-color: #54585a !important;
  color: #fff !important;
  text-transform: capitalize !important;
}
.botonPrimario {
  background-color: #ffcd13 !important;
  color: #575757 !important;
  text-transform: capitalize !important;
}
.botonIcono {
  width: 25px;
  padding-right: 5px;
}
.btnGrande {
  width: 450px;
}

/*TABS*/
.imgLogoTabs {
  width: 70px;
  display: block;
  margin: 0 auto;
}
.divTopIncumplimientos h3 {
  font-size: 16px;
  color: #000000;
  font-family: "AvenirNextLTPro-Medium";
  margin-bottom: 15px;
}
.tabEstiloPrimario {
  margin-top: 15px;
}
.tabEstiloPrimario .col2 {
  padding: 15px 15px 15px 35px;
  box-sizing: border-box;
  width: 48%;
}
.divIncumplimientos {
  width: 100%;
  display: flex;
  color: #000000;
  margin-bottom: 10px;
}
.divIncumplimientos .numero {
  color: #cccccc;
  font-size: 22px;
  text-align: center;
  width: 10%;
  font-family: "Avenir_Next_Bold";
}
.divIncumplimientos .texto {
  width: 90%;
  font-size: 14px;
}
.tabEstiloPrimario .col-12:first-of-type {
  border-right: 1px solid #000000;
}
.barraProgreso {
  width: 100%;
  height: 20px;
}
.barraProgreso > div {
  height: 20px;
  color: #ffffff;
  font-size: 14px;
  text-align: left;
  padding-left: 15px;
}
.barraProgreso .w52 {
  width: 52%;
}
.barraProgreso .w12 {
  width: 12%;
}
.barraProgreso .w25 {
  width: 25%;
}
.bgBarra {
  background-color: #b4b4b4;
}
.textoFrecuencia {
  font-size: 12px;
  color: #000000;
  text-align: left;
}
.tabEstiloPrimario .v-tab {
  background-repeat: no-repeat;
  background-size: 70px;
  background-position: center;
}
.tabEstiloPrimario .tabGrupoElektra {
  background-image: url("~@/assets/img/logoGEKBN.svg");
}
.tabGrupoElektra.v-tab--active {
  background-image: url("~@/assets/img/logoGrupoElektra.svg") !important;
}
.tabEstiloPrimario .tabBAZ {
  background-image: url("~@/assets/img/logoBAZBN.svg");
}
.tabBAZ.v-tab--active {
  background-image: url("~@/assets/img/logoBancoAzteca.svg") !important;
}
.tabEstiloPrimario .tabEKT {
  background-image: url("~@/assets/img/logoEKTBN.svg");
}
.tabEKT.v-tab--active {
  background-image: url("~@/assets/img/logoElektra.svg") !important;
}
.tabEstiloPrimario .tabPrestaPrenda {
  background-image: url("~@/assets/img/logoPPRBN.svg");
}
.tabPrestaPrenda.v-tab--active {
  background-image: url("~@/assets/img/logoPrestaPrenda.svg") !important;
}
.divCol {
  display: flex !important;

  flex-wrap: wrap !important;

  align-items: flex-start !important;
}

.tabEstiloPrimario .divCol .col3 {
  border-right: 1px solid #000000;
}
.tabEstiloPrimario .divCol .col3:last-of-type {
  border-right: none;
}
.tabSlider .v-tabs--vertical > .v-tabs-bar .v-tab {
  height: 190px !important;
}

@media (max-width: $container-width) {
  .swiper-button-next {
    right: 20px;
    transform: rotate(90deg);
  }

  .swiper-button-prev {
    left: 20px;
    transform: rotate(90deg);
  }
}
</style>
